%define name	perl-Term-Prompt
%define version	0.10
%define release	1mdk

Summary:	Term-Prompt module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Term-Prompt-0.10.tar.bz2
Url:		http://www.cpan.org
Requires:	perl >= 5.600
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Term-Prompt module for perl

%prep
%setup -q -n Term-Prompt-%{version} 

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}

%install
rm -rf %{buildroot}

eval `perl '-V:installarchlib'`
install -d %{buildroot}/$installarchlib

%{__make} PREFIX=%{buildroot}/%{_prefix} install

install -d %{buildroot}/%{_datadir}
find %{buildroot}/%{_prefix} -type f -print | sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" | 
	grep -v "\.bs" > Term-Prompt-0.10-filelist
perl -p -i -e "s/\.3/\.3\.bz2/g" Term-Prompt-0.10-filelist

if [ "$(cat Term-Prompt-0.10-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Term-Prompt-0.10-filelist
%defattr(-,root,root)
%doc README

%changelog
* Sat Dec 1 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.10-1mdk
- initial cooker contrib.
